package com.coixinera.footprintsDB;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class FootPrintsSQLHelper extends SQLiteOpenHelper {

	public FootPrintsSQLHelper(Context context) {
		super(context, FootPrintsDB_parameters.DB_NAME, null,
				FootPrintsDB_parameters.DB_VERSION);
	}

	@Override
	public void onCreate(SQLiteDatabase db) {
		if (db.isReadOnly()) {
			db = getWritableDatabase();
		}

		String queryCreate = "CREATE TABLE "
				+ FootPrintsDB_parameters.FootPrintsTable.NOMBRE_TABLA + " ("
				+ FootPrintsDB_parameters.FootPrintsTable._ID
				+ " INTEGER PRIMARY KEY AUTOINCREMENT,"
				+ FootPrintsDB_parameters.FootPrintsTable.CAMPO_NOMBRE
				+ " TEXT,"
				+ FootPrintsDB_parameters.FootPrintsTable.CAMPO_DESCRIPCION
				+ " TEXT,"
				+ FootPrintsDB_parameters.FootPrintsTable.CAMPO_LATITUD
				+ " REAL,"
				+ FootPrintsDB_parameters.FootPrintsTable.CAMPO_LONGITUD
				+ " REAL," + FootPrintsDB_parameters.FootPrintsTable.CAMPO_FOTO
				+ " TEXT" + ");";
		db.execSQL(queryCreate);

	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

		// TODO: revisar esto

	}
}
