package com.coixinera.footprintsDB;

import android.provider.BaseColumns;


public class FootPrintsDB_parameters {

	// Clase para abstraer todos los nombres y parametros de la creacin de la
	// base de datos

	// parametros de la base de datos
	public static final String DB_NAME = "FootPrints.db";
	public static final int DB_VERSION = 1;

	private FootPrintsDB_parameters() {
	}

	// definicin de la tabla FootPrints y sus campos en la base de datos

	public static final class FootPrintsTable implements BaseColumns {

		private FootPrintsTable() {
		}

		// Nombre tabla
		public static final String NOMBRE_TABLA = "footprints";

		// nombres en la tabla

		public static final String CAMPO_ID = "_id";
		public static final String CAMPO_NOMBRE = "nombre";
		public static final String CAMPO_DESCRIPCION = "descripcion";
		public static final String CAMPO_LATITUD = "latitud";
		public static final String CAMPO_LONGITUD = "longitud";
		public static final String CAMPO_FOTO = "foto";

	}

}
