package com.coixinera.footprintscollector;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.Window;

public class Pantalla_presentacion_activity extends FragmentActivity {

	protected boolean activo = true;
	protected int tiempoEspera = 3000;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// Simple pantalla de presentacin con el logo de la aplicacin y mi
		// nombre. despue de 3 segundos pasa a menu principal
		super.onCreate(savedInstanceState);
		setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.pantalla_presentacion_activity);

		final Intent intent = new Intent();
		intent.setClass(this,
				com.coixinera.footprintscollector.MenuEntrada_Activity.class);

		Thread splashThread = new Thread() {
			@Override
			public void run() {
				try {
					int waited = 0;
					while (activo && (waited < tiempoEspera)) {
						sleep(100);
						if (activo) {
							waited += 100;
						}

					}
				} catch (InterruptedException e) {

				} finally {
					finish();
					startActivity(intent);
					stop();

				}

			}
		};
		splashThread.start();
	}
}
